Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The World object

This object gives access to generic data from all worlds in Blender. Its attributes depend upon its type.

Method Summary |
list of three floats | `getAmb()` Retreives the ambient color of a world object.
list of three floats | `getHor()` Retreives the horizon color of a world object.
list of four floats | `getMist()` Retreives the mist parameters of a world object.
int | `getMistype()` Retreives the mist type of a world object.
int | `getMode()` Retreives the mode of a world object.
string | `getName()` Retreives the name of an world object
int | `getSkytype()` Retreives the skytype of a world object.
list of nine floats | `getStar()` Retreives the star parameters of a world object.
list of three floats | `getZen()` Retreives the zenith color of a world object.
PyNone | `setAmb(amb)` Sets the ambient color of a world object.
PyNone | `setHor(hor)` Sets the horizon color of a world object.
PyNone | `setMist(mist)` Sets the mist parameters of a world object.
PyNone | `setMistype(mistype)` Sets the mist type of a world object.
PyNone | `setMode(mode)` Sets the mode of a world object.
PyNone | `setName(name)` Sets the name of a world object.
PyNone | `setSkytype(skytype)` Sets the skytype of a world object.
PyNone | `setStar(star)` Sets the star parameters of a world object.
PyNone | `setZen(zen)` Sets the zenith color of a world object.

Class Variable Summary |
| `amb` - the ambient color of a world object.
| `hor` - the horizon color of a world object.
| `mist` - the mist parameters of a world object.
| `mistype` - type of mist : O : quadratic; 1 : linear; 2 : square
| `mode` -
| `name` - the name of the world.
| `skytype` - type of the sky.
| `star` - the star parameters of a world object.
| `zen` - the zenith color of a world object.

Method Details |

getAmb() Retreives the ambient color of a world object. This color is a list of 3 floats. Returns: the ambient color of the world object. (type=list of three floats)

getHor() Retreives the horizon color of a world object. This color is a list of 3 floats. Returns: the horizon color of the world object. (type=list of three floats)

getMist() Retreives the mist parameters of a world object. It is a list of four floats : intensity of the mist start of the mist end of the mist height of the mist Returns: the mist parameters (type=list of four floats)

getMistype() Retreives the mist type of a world object. The mist type is an integer 0 : quadratic; 1 : linear; 2 : square. Returns: the mistype of the world object. (type=int)

getMode() Retreives the mode of a world object. The mode is a combination of 3 bits : Bit 0 : Blend; Bit 1 : Real; Bit 2 : paper. Returns: the mode of the world object. (type=int)

getName() Retreives the name of an world object Returns: the name of the world object. (type=string)

getSkytype() Retreives the skytype of a world object. The skytype is a combination of 3 bits : Bit 0 : Blend; Bit 1 : Real; Bit 2 : paper. Returns: the skytype of the world object. (type=int)

getStar() Retreives the star parameters of a world object. It is a list of nine floats : red component of the color green component of the color blue component of the color size of the stars minimal distance between the stars average distance between the stars variations of the stars color Returns: the star parameters (type=list of nine floats)

getZen() Retreives the zenith color of a world object. This color is a list of 3 floats. Returns: the zenith color of the world object. (type=list of three floats)

setAmb(amb) Sets the ambient color of a world object. Parameters: `amb` (type=list of three floats @param amb : the new ambient color.) Returns: PyNone (type=PyNone)

setHor(hor) Sets the horizon color of a world object. Parameters: `hor` (type=list of three floats @param hor : the new hor.) Returns: PyNone (type=PyNone)

setMist(mist) Sets the mist parameters of a world object. See getMist for the semantics of the parameter. Parameters: `mist` (type=list of 4 floats @param mist : the new mist parameters.) Returns: PyNone (type=PyNone)

setMistype(mistype) Sets the mist type of a world object. See getMistype for the semantics of the parameter. Parameters: `mistype` (type=int @param mistype : the new mist type.) Returns: PyNone (type=PyNone)

setMode(mode) Sets the mode of a world object. See getMode for the semantics of the parameter. Parameters: `mode` (type=int @param mode : the new mode.) Returns: PyNone (type=PyNone)

setName(name) Sets the name of a world object. Parameters: `name` (type=string @param name : the new name.) Returns: PyNone (type=PyNone)

setSkytype(skytype) Sets the skytype of a world object. See getSkytype for the semantics of the parameter. Parameters: `skytype` (type=int @param skytype : the new skytype.) Returns: PyNone (type=PyNone)

setStar(star) Sets the star parameters of a world object. See getStar for the semantics of the parameter. Parameters: `star` (type=list of 9 floats @param star : the new star parameters.) Returns: PyNone (type=PyNone)

setZen(zen) Sets the zenith color of a world object. Parameters: `zen` (type=list of three floats @param zen : the new zenith color.) Returns: PyNone (type=PyNone)

Class Variable Details |

amb the ambient color of a world object.

hor the horizon color of a world object.

mist the mist parameters of a world object. See getMist for the semantics of these parameters.

mistype type of mist : O : quadratic; 1 : linear; 2 : square

mode

name the name of the world.

skytype type of the sky. Bit 0 : Blend; Bit 1 : Real; Bit 2 : paper.

star the star parameters of a world object. See getStar for the semantics of these parameters.

zen the zenith color of a world object.

<<< Previous | Home | Next >>>
Class World | Up | Module Metaball